64-bit in Android apps vereist vanaf augustus 2019

15 reacties

Google heeft op zijn Android Developer blog een bericht geplaatst dat apps in de Play Store vanaf augustus 2019 64-bit moeten ondersteunen. Daarnaast moeten apps vanaf augustus 2018 een recente Android API als doel hebben en wordt er vanaf begin volgend jaar een extra beveiligingslaag in de metadata van APK's toegevoegd, om de echtheid van apps te kunnen controleren.

Alle drie de maatregelen hebben als doel de veiligheid binnen de Play Store te verbeteren en prestaties op peil te houden, doordat ontwikkelaars gebruikmaken van de meest recente mogelijkheden. Zo moeten apps aangeven op welke Android API ze zich richten, om kenbaar te maken welke features ze ondersteunen. Een recente versie moet daarbij gebruikt worden, zodat apps bijvoorbeeld gebruikmaken van zaken als vragen om toestemming voor gebruik van de camera of het gebruikersaccount. Vanaf augustus 2018 is voor nieuwe apps API level 26, ofwel Android 8.0 nodig om te ondersteunen. Updates voor bestaande apps moeten vanaf november voldoen aan het verzoek. Elk jaar zullen de vereisten echter verder opgeschroefd worden.

Google heeft nu ook eindelijk de stap gezet om 64-bit in apps te verplichten. Het is al in Android 5.0 geïmplementeerd en het bedrijf zegt dat 40% van de Android apparaten die online komen, geschikt zijn voor 64-bit. Bijna twee jaar van tevoren maakt het bedrijf nu bekend dat ondersteuning vereist zal zijn. Ter vergelijking, Apple heeft de vereiste al sinds juni 2015 en heeft 32-bit ondersteuning recentelijk volledig geschrapt, wat betekent dat Google ruim vier jaar later is. Hierbij moet echter opgemerkt worden dat Android veel meer apparaten ondersteunt en de implementatie daardoor langer duurt.

Bron: Google

« Vorig bericht Volgend bericht »
0
*